Interface Olingo4EndpointBuilderFactory.Olingo4Builders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- Olingo4EndpointBuilderFactory
public static interface Olingo4EndpointBuilderFactory.Olingo4Builders
-
Method Summary
Modifier and TypeMethodDescriptionolingo4()Olingo4 (camel-olingo4) Communicate with OData 4.0 services using Apache Olingo OData API.Olingo4 (camel-olingo4) Communicate with OData 4.0 services using Apache Olingo OData API.Olingo4 (camel-olingo4) Communicate with OData 4.0 services using Apache Olingo OData API.
-
Method Details
-
olingo4
Olingo4 (camel-olingo4) Communicate with OData 4.0 services using Apache Olingo OData API. Category: cloud Since: 2.19 Maven coordinates: org.apache.camel:camel-olingo4- Returns:
- the dsl builder for the headers' name.
-
olingo4
Olingo4 (camel-olingo4) Communicate with OData 4.0 services using Apache Olingo OData API. Category: cloud Since: 2.19 Maven coordinates: org.apache.camel:camel-olingo4 Syntax:olingo4:apiName/methodNamePath parameter: apiName (required) What kind of operation to perform There are 1 enums and the value can be one of: DEFAULT Path parameter: methodName (required) What sub operation to use for the selected operation- Parameters:
path- apiName/methodName- Returns:
- the dsl builder
-
olingo4
default Olingo4EndpointBuilderFactory.Olingo4EndpointBuilder olingo4(String componentName, String path) Olingo4 (camel-olingo4) Communicate with OData 4.0 services using Apache Olingo OData API. Category: cloud Since: 2.19 Maven coordinates: org.apache.camel:camel-olingo4 Syntax:olingo4:apiName/methodNamePath parameter: apiName (required) What kind of operation to perform There are 1 enums and the value can be one of: DEFAULT Path parameter: methodName (required) What sub operation to use for the selected operation- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- apiName/methodName- Returns:
- the dsl builder
-